<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
	<th:block th:include="include :: header('提交演出退款')" />
</head>
<body class="white-bg">
	<div class="wrapper wrapper-content animated fadeInRight ibox-content">
		<form class="form-horizontal m" id="form-post-add">
			<div class="form-group">
				<label class="col-sm-3 control-label is-required">演出id：</label>
				<div class="col-sm-8">
					<input th:value="67689474263547904" class="form-control" type="text" name="targetId" id="targetId" required>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-3 control-label">演出名称：</label>
				<div class="col-sm-8">
					<input th:value="0" class="form-control" type="text" name="title">
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-3 control-label is-required">演出统计：</label>
				<div class="col-sm-8">
					<div class="col-sm-12 select-table table-bordered">
						<table id="bootstrap-table"></table>
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-3 control-label">备注：</label>
				<div class="col-sm-8">
					<textarea name="reason" class="form-control"></textarea>
				</div>
			</div>
		</form>
	</div>
	<th:block th:include="include :: footer" />
	<script type="text/javascript">
		var prefix = ctx + "kylin/refundBatch";
	    
		$("#form-post-add").validate({
			onkeyup: false,
			rules:{
				targetId:{
					submitHandler: function(form) {
						var config = {
							url: prefix + "/applyPerformance",
							type: "post",
							dataType: "json",
							data: {
								"performancesId" : function() {
									return $.common.trim($("#targetId").val());
								}
							},
							beforeSend: function () {
								$.modal.loading("正在查询订单，请稍后...");
							},
							success: function(result) {
								$.modal.closeLoading();
								console.log(result)
							}
						};
						$.ajax(config)
					}
				},
			},
		    focusCleanup: true
		});
		
		function submitHandler() {
	        if ($.validate.form()) {
	        	$.operate.save(prefix + "/apply", $('#form-post-add').serialize());
	        }
	    }
	</script>
</body>
</html>
